Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3789 - NFS file copy violations
Summary: NFS file copy violations
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-29 03:20 UTC by elsenbeck
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-04 16:43:02 UTC


Attachments (Terms of Use)

Description elsenbeck 1999-06-29 03:20:33 UTC
I have two essentially identical celeron servers "A" and
"B".  From "A", I export the /home directory RO.  From "B" I
mount A:/home to /test.  Both "A" and "B" have similiar
directory structures, with matching subdirectories under
/home.  I tried to cp -a one of the subdirectories from "A"
to "B".  (cp -a /test/stuff/* /home/stuff)  Due to improper
permissions on the "A" files, not all of the subdirectory
could be copied (there were additional files/directories in
the 'stuff' subdirectory, and those permissions didn't allow
other r/x access).  The copy was taking a long time, so I
control-C'd to stop it.  When I then looked at the files in
"B", I saw that not only did the files I wanted from "A" get
copied, but also several parts of "B"s filesystem!

What I mean is, besides copying the files from "A", I also
got substantial parts of "B"s /usr, /boot and /home to copy
under this directory!!!!  If I hadn't stopped the process I
might have recopied my entire machine into this directory!!!
I executed the cp command as root, but this seems like a
major problem to me!

Comment 1 Jeff Johnson 1999-06-30 23:18:59 UTC
I'm changing component to knfsd.

Comment 2 Zach Brown 1999-07-13 18:30:59 UTC
Can you send us the listing of /test/stuff/* ?
and does the extra copying happen when you do
	(cd /test/stuff; find . | cpio -dvpm /home/stuff)
?

Comment 3 Jeff Johnson 2000-07-25 19:40:58 UTC
Closed due to lack of input.


Note You need to log in before you can comment on or make changes to this bug.